

- ifdef fix in kmap_types.h (Oleg Drokin)

- remove redundant ext3 inclusions (Burton Windle)

- Fix misidentified warning printk in vmalloc.c

- radeon_cp printk warning fix (Randy Dunlap)


 drivers/char/drm/radeon_cp.c  |    4 ++--
 fs/ext3/fsync.c               |    2 --
 include/asm-i386/kmap_types.h |    2 +-
 mm/vmalloc.c                  |    3 +--
 4 files changed, 4 insertions(+), 7 deletions(-)

diff -puN include/asm-i386/kmap_types.h~misc include/asm-i386/kmap_types.h
--- 25/include/asm-i386/kmap_types.h~misc	2003-05-04 22:34:01.000000000 -0700
+++ 25-akpm/include/asm-i386/kmap_types.h	2003-05-04 22:34:01.000000000 -0700
@@ -3,7 +3,7 @@
 
 #include <linux/config.h>
 
-#if CONFIG_DEBUG_HIGHMEM
+#ifdef CONFIG_DEBUG_HIGHMEM
 # define D(n) __KM_FENCE_##n ,
 #else
 # define D(n)
diff -puN fs/ext3/fsync.c~misc fs/ext3/fsync.c
--- 25/fs/ext3/fsync.c~misc	2003-05-04 22:34:01.000000000 -0700
+++ 25-akpm/fs/ext3/fsync.c	2003-05-04 22:34:01.000000000 -0700
@@ -27,8 +27,6 @@
 #include <linux/jbd.h>
 #include <linux/ext3_fs.h>
 #include <linux/ext3_jbd.h>
-#include <linux/jbd.h>
-#include <linux/smp_lock.h>
 
 /*
  * akpm: A new design for ext3_sync_file().
diff -puN mm/vmalloc.c~misc mm/vmalloc.c
--- 25/mm/vmalloc.c~misc	2003-05-04 22:34:01.000000000 -0700
+++ 25-akpm/mm/vmalloc.c	2003-05-04 22:34:01.000000000 -0700
@@ -97,8 +97,7 @@ static int map_area_pte(pte_t *pte, unsi
 	do {
 		struct page *page = **pages;
 
-		if (!pte_none(*pte))
-			printk(KERN_ERR "alloc_area_pte: page already exists\n");
+		WARN_ON(!pte_none(*pte));
 		if (!page)
 			return -ENOMEM;
 
diff -puN drivers/char/drm/radeon_cp.c~misc drivers/char/drm/radeon_cp.c
--- 25/drivers/char/drm/radeon_cp.c~misc	2003-05-04 22:44:31.000000000 -0700
+++ 25-akpm/drivers/char/drm/radeon_cp.c	2003-05-04 22:44:38.000000000 -0700
@@ -903,8 +903,8 @@ static void radeon_cp_init_ring_buffer( 
 
 		RADEON_WRITE( RADEON_CP_RB_RPTR_ADDR,
 			     entry->busaddr[page_ofs]);
-		DRM_DEBUG( "ring rptr: offset=0x%08x handle=0x%08lx\n",
-			   entry->busaddr[page_ofs],
+		DRM_DEBUG( "ring rptr: offset=0x%08lx handle=0x%08lx\n",
+			   (unsigned long) entry->busaddr[page_ofs],
 			   entry->handle + tmp_ofs );
 	}
 

_
